
@mixin min-width($size) {
  @media screen and (min-width: $size) {
    @content;
  }
}


// Button variants
//
// Easily pump out default styles, as well as :hover, :focus, :active,
// and disabled options for all buttons
@mixin button-variant($color, $background, $border, $is-rounded: false) {
  color: $color;
  background-color: $background;
  border-color: $border;

  &:focus, &.focus {
    color: $color;
    background-color: darken($background, 10%);
    border-color: darken($border, 25%);
  }

  &:hover {
    color: $color;
    background-color: darken($background, 10%);
    border-color: darken($border, 12%);
  }

  &:active, &.active,

  .open > &.dropdown-toggle {
    color: $color;
    background-color: darken($background, 10%);
    background-image: none;
    border-color: darken($border, 12%);

    &:hover,
    &:focus,
    &.focus {
      color: $color;
      background-color: darken($background, 17%);
      border-color: darken($border, 25%);
    }
  }

  &.disabled, &[disabled],

  fieldset[disabled] & {
    &:hover,
    &:focus,
    &.focus {
      background-color: $background;
      border-color: $border;
    }
  }

  .badge {
    color: $background;
    background-color: $color;
  }
}

@mixin button-outline-variant($color, $is-rounded: false) {
  color: $color;
  border-color: $color;
  background-color: transparent;
  &:focus, &.focus {
    background-color: rgba($color, .125);
    color: darken($color, 5%);
    box-shadow: 0 0 0 3px rgba($color, .25);
    border-color: darken($color, 5%);
  }

  &:hover {
    color: $color;
    border-color: darken($color, 12%);
    background-color: rgba($color, .05);
  }

  &:active, &.active, .open > &.dropdown-toggle {
    color: $color;
    background-image: none;
    border-color: darken($color, 12%);

    &:hover, &:focus, &.focus {
      color: $color;
      border-color: darken($color, 25%);
    }
  }

  &.disabled, &[disabled],

  fieldset[disabled] & {
    &:hover,
    &:focus,
    &.focus {
      background-color: $color;
      border-color: $color;
    }
  }

  .badge {
    color: $color;
    background-color: $color;
  }
}

// Button sizes
@mixin button-size($padding-vertical, $padding-horizontal, $font-size, $line-height, $border-radius) {
  padding: $padding-vertical $padding-horizontal;
  font-size: $font-size;
  line-height: $line-height;
  border-radius: $border-radius;
}
